#include <stdio.h>
#include <dir.h>

int main(int argc, char* argv[])
{
  char *dir;
  char *slash;

  if (argc != 2)
  {
    fprintf(stderr, "Usage: mkdirtree <path>\n");
    return 1;
  }

  dir = argv[1];
  slash = dir;
  while (slash)
  {
    while (*slash && *slash != '\\' && *slash != '/')
      ++slash;
    if (*slash == '\0')
      slash = NULL;
    else
      *slash = '\0';

    mkdir(dir);

    if (slash)
      *slash++ = '\\';
  }

  return 0;
}
